#
# spec file for package sharutils (Version 4.2c)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  mailx

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils gcc gdbm gettext libtool mailx perl rpm

Name:         sharutils
URL:          http://www.gnu.org/software/sharutils/
License:      GPL
Group:        Productivity/Archiving/Compression
Autoreqprov:  on
Provides:     sharutil
Obsoletes:    sharutil
Version:      4.2c
Release:      710.10
Summary:      GNU shar utilities
Source:       sharutils-%{version}.tar.gz
Source2:      compress-dummy.sh.in
Patch:        sharutils-%{version}.dif
Patch2:       sharutils-compress.diff
Patch3:       sharutils-printf.diff
Patch4:       sharutils-configure.diff
Patch5:       sharutils-opto.dif
Patch6:       quoting.diff
Patch7:       memory-corruption.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
PreReq:       /bin/ln /bin/rm %{install_info_prereq}

%description
This is the set of GNU shar utilities.

'Shar' makes shell archives out of many files, preparing them for
transmission by electronic mail services.  Use 'unshar' to unpack shell
archives after reception.

'Uuencode' prepares a file for transmission over an electronic channel
which ignores or otherwise mangles the eight bit (high order bit) of
bytes.	'Uudecode' does the converse transformation.

'Remsync' allows for remote synchronization of directory trees, using
e-mail.  This part of sharutils is still alpha.



%prep
%setup -q
%patch
cp %{S:2} src
%patch2 -p 1
%patch3 -p 1
%patch4
%patch5
%patch6
%patch7

%build
autoreconf --force --install
CFLAGS=$RPM_OPT_FLAGS INSTALL_SCRIPT='${INSTALL}' \
./configure --prefix=%{_prefix} --mandir=%{_mandir} --infodir=%{_infodir}
make
make check

%install
rm -rf $RPM_BUILD_ROOT
make install-strip prefix=$RPM_BUILD_ROOT%{_prefix} \
     mandir=$RPM_BUILD_ROOT%{_mandir} infodir=$RPM_BUILD_ROOT%{_infodir}
install -d $RPM_BUILD_ROOT%{_mandir}/man1 $RPM_BUILD_ROOT%{_mandir}/man5
install -m 644 doc/{shar,unshar,uuencode}.1 $RPM_BUILD_ROOT%{_mandir}/man1
ln -sf uuencode.1 $RPM_BUILD_ROOT%{_mandir}/man1/uudecode.1
install -d $RPM_BUILD_ROOT%{_mandir}/man5
install -m 644 doc/uuencode.5 $RPM_BUILD_ROOT%{_mandir}/man5
touch $RPM_BUILD_ROOT/usr/bin/compress

%post
if test ! -f usr/bin/compress; then
  ln -sf compress-dummy.sh usr/bin/compress
fi
%install_info --info-dir=%{_infodir} %{_infodir}/sharutils.info.gz

%preun
if test $1 -eq 0; then
  if test -L usr/bin/compress; then
    rm -f usr/bin/compress
  fi
fi

%postun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/sharutils.info.gz

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%ghost /usr/bin/compress
/usr/bin/compress-dummy.sh
/usr/bin/mail-files
/usr/bin/mailshar
/usr/bin/remsync
/usr/bin/shar
/usr/bin/unshar
/usr/bin/uudecode
/usr/bin/uuencode
%doc %{_infodir}/sharutils.info.gz
/usr/share/locale/*/LC_MESSAGES/sharutils.mo
%doc %{_mandir}/man1/shar.1.gz
%doc %{_mandir}/man1/unshar.1.gz
%doc %{_mandir}/man1/uudecode.1.gz
%doc %{_mandir}/man1/uuencode.1.gz
%doc %{_mandir}/man5/uuencode.5.gz

%changelog -n sharutils
* Wed Nov 03 2004 - schwab@suse.de
- Fix buffer underrun [#46557].
* Tue Oct 05 2004 - schwab@suse.de
- Properly quote filenames in generated shar output.
- Fix buffer overruns [#46557].
* Wed Apr 28 2004 - mls@suse.de
- fix -o option handling (#39122)
* Fri Mar 05 2004 - schwab@suse.de
- Add /usr/bin/compress as %%ghost.
* Fri Dec 12 2003 - schwab@suse.de
- Remove extra AC_LINK_FILES.
* Thu Apr 24 2003 - ro@suse.de
- fix install_info --delete call and move from preun to postun
* Mon Apr 07 2003 - schwab@suse.de
- Only delete info entries when removing last version.
* Thu Feb 06 2003 - schwab@suse.de
- Use %%install_info.
* Mon Nov 18 2002 - schwab@suse.de
- Add AM_GNU_GETTEXT_VERSION.
* Tue Aug 20 2002 - mmj@suse.de
- Correct PreReq
* Wed Jul 10 2002 - schwab@suse.de
- Remove last change, breaks POSIX conformance.
* Mon Jul 08 2002 - ke@suse.de
- Fix uudecode file handling (FIFO, symlink, and  pipe output):
  CAN-2002-0178; make use of RHSA-2002:065-13.
* Tue Jul 02 2002 - mls@suse.de
- removed mininews from neededforbuild, was only needed for uudeview
* Tue Jul 02 2002 - max@suse.de
- Split off uudeview into a separate package.
* Mon Jun 24 2002 - schwab@suse.de
- Fix last change.
* Mon Jun 24 2002 - ke@suse.de
- compress-dummy.sh.in: Add this script and install a link 'compress'
  pointing to it; thus legacy shar files calling 'compress -d < ...'
  can succeed; cf. [# 16299].
- sharutils-compress.diff: Patch to install compress-dummy.sh.
- sharutils-printf.diff: Avoid embedded newlines in strings (xgettext
  warns about those strings).
* Fri Dec 07 2001 - schwab@suse.de
- Run autoconf in uudeview.
- Fix provides.
* Mon Dec 04 2000 - schwab@suse.de
- Use BuildRoot.
- Avoid `install -s' on non-binaries.
* Wed Nov 29 2000 - ro@suse.de
- changed neededforbuild <tcld> to <tcl-devel>
* Tue Oct 24 2000 - schwab@suse.de
- Renamed from sharutil.
* Tue May 30 2000 - schwab@suse.de
- mailshar: recognize `*.tgz' as compressed file
* Mon May 29 2000 - max@suse.de
- changed use of Tk_Main to Tk_MainEx for compatibility with
  Tcl/Tk 8.3.
* Tue Jan 18 2000 - schwab@suse.de
- /usr/{info,man} -> /usr/share/{info,man}
* Tue Jan 04 2000 - schwab@suse.de
- Enable NLS
* Tue Jan 04 2000 - schwab@suse.de
- Y2K fixes from sharutils 4.2.1
- Fix mktemp usage and quoting in mailshar
* Tue Oct 12 1999 - ro@suse.de
- added tcld to neededforbuild
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Sep 08 1999 - schwab@suse.de
- run "make check"
* Fri Aug 27 1999 - schwab@suse.de
- specfile cleanup
- add mininews as neededforbuild
- fix shell expansion bug in uudeview configure script
* Fri Jul 17 1998 - werner@suse.de
- Use mktemp
* Thu Jul 16 1998 - werner@suse.de
- mailshar fix to remove already existing temp files
* Thu Feb 05 1998 - florian@suse.de
- fix setting of mail program for mailshar
* Fri Oct 17 1997 - ro@suse.de
- ready for autobuild
* Sun Jun 22 1997 - florian@suse.de
- update to sharutil 4.2c
- update to uudeview 0.5.13
* Thu Jan 02 1997 - florian@suse.de
  added additional source package uudeview
